package com.gxwebsoft.common.core.enums;

import cn.hutool.core.util.ArrayUtil;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 全局用户类型枚举
 */
@AllArgsConstructor
@Getter
public enum UserTypeEnum {

    // 面向 a 端，管理后台
    RIDER(0, "骑手"),
    // 面向 c 端，普通用户
    MEMBER(1, "会员"),

    STORE(3, "门店"),
    // 面向 b 端，管理后台
    ADMIN(2, "管理员"),

    CHAT(4, "群聊");

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(UserTypeEnum::getValue).toArray();

    /**
     * 类型
     */
    private final Integer value;
    /**
     * 类型名
     */
    private final String name;

    public static UserTypeEnum valueOf(Integer value) {
        return ArrayUtil.firstMatch(userType -> userType.getValue().equals(value), UserTypeEnum.values());
    }


}
